<link rel="stylesheet" href="app/components/addShop/addShop.css">

<div id="addShop">
	<!-- <div ng-include="'app/components/addShop/modals/barcodeQueryModal.html'"></div> -->
	<div ng-include="'app/components/addShop/modals/addSuccessModal.html'"></div>
	<div ng-include="'app/components/addShop/modals/mapModal.html'"></div>
	<form name="addShopForm">
		<span style="color: red">
			Τα πεδία με αστερίσκο (*) είναι απαραίτητα για την προσθήκη νέου προϊόντος
		</span>
		<table class="table">
			<tbody>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Όνομα (*)</div>
						<div class="col-m" style="--per: 60%">
							<input type="text" ng-model="newShop.name" required> 
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Διεύθυνση (*)</div> 
						<div class="col-m" style="--per: 60%">
							<span>{{newShop.address}}</span>
							<button type="button" class="btn btn-info" ng-click="showMap()">Χάρτης</button><br>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%">Ετικέτες</div>
						<div id="tags" class="col-m" style="--per: 60%">
							<input type="text" ng-model="newShop.tags" placeholder="Διαχωρίστε τις λέξεις με κενά">
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="col-m" style="--per: 40%"><button type="reset" class="btn btn-warning" ng-click="reset()">Καθαρισμός δεδομένων</div>
						<div class="col-m" style="--per: 60%;"><button type="submit" class="btn btn-success" ng-click="submit()" ng-disabled="addShopForm.$invalid || newShop.address==null">Προσθήκη</button></div>
					</td>
				</tr>
			</tbody>
		</table>
	</form>
</div>

